org.apache.cassandra.cache

## Class OHCProvider

- java.lang.Object
- - org.apache.cassandra.cache.OHCProvider

- All Implemented Interfaces:
    CacheProvider<RowCacheKey,IRowCacheEntry>

      public class OHCProvider
      extends java.lang.Object
      implements CacheProvider<RowCacheKey,IRowCacheEntry>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OHCProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICache<RowCacheKey,IRowCacheEntry>` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OHCProvider

          public OHCProvider()

  - ### Method Detail

    - #### create

          public ICache<RowCacheKey,IRowCacheEntry> create()

      Specified by:
        `create` in interface `CacheProvider<RowCacheKey,IRowCacheEntry>`

Copyright © 2018 The Apache Software Foundation